<TeXmacs|2.1.1>

<style|<tuple|source|french|padded-paragraphs>>

<\body>
  <\active*>
    <\src-comment>
      ## Mise en page.
    </src-comment>
  </active*>

  <use-package|generic|french>

  <assign|font-base-size|11>

  <assign|full-screen-mode|true>

  <assign|page-bot|25mm>

  <assign|page-even|25mm>

  <assign|page-medium|paper>

  <assign|page-odd|25mm>

  <assign|page-right|25mm>

  <assign|page-screen-margin|false>

  <assign|page-top|25mm>

  \;

  <\active*>
    <\src-comment>
      ## Rendu des thormes (pour qu'ils aient une police droite) et des
      exercices (pour que leur police soit de taille normale et qu'ils
      n'aient pas d'indentation).
    </src-comment>
  </active*>

  <assign|render-theorem|<\macro|which|body>
    <render-enunciation|<theorem-name|<arg|which><theorem-sep>>|<with|font-shape|normal|<arg|body>>>
  </macro>>

  <assign|render-exercise|<\macro|which|body>
    <\padded*>
      <surround|<exercise-name|<arg|which><exercise-sep>>||<arg|body>>
    </padded*>
  </macro>>

  \;

  <\active*>
    <\src-comment>
      ## Option pour que les thormes (et les proposition, dfinitions,
      lemmes etc.) soient encadrs.
    </src-comment>
  </active*>

  <assign|theorem-padding-above|<value|large-padding-above>>

  <assign|theorem-padding-below|<value|large-padding-below>>

  \;

  <provide|unframed-render-enunciation|<value|render-enunciation>>

  <provide|unframed-render-theorem|<value|render-theorem>>

  <provide|unframed-render-remark|<value|render-remark>>

  <provide|unframed-render-proof|<value|render-proof>>

  \;

  <assign|hang-length|<if|<unequal|<value|ornament-color>|>|0.2em|0em>>

  <drd-props|hang-length|parameter|length>

  \;

  <assign|render-enunciation|<\macro|which|body>
    <\padded-normal|<value|theorem-padding-above>|<value|theorem-padding-below>>
      <\with|enunciation-sep||enunciation-name|<value|strong>>
        <\surround|<no-indent>|>
          <\decorated>
            <surround|<no-indent><resize|<with|ornament-color|<value|ornament-extra-color>|dummy|<value|hang-length>|<ornament|<ornament-render-title|<decorated-title|<with|strong-color|<value|color>|<resize|<arg|which>||<minus|0ex|0.5hang>||<plus|1.2t|1hang>>>>>>>|<plus|1hang|<value|ornament-hpadding>|<value|ornament-border>>|<plus|1b|0.5hang>||<minus|<minus|1t|1hang>|<plus|<value|ornament-vpadding>|<value|ornament-border>>>>
            |<right-flush>|<arg|body>>
          </decorated>
        </surround>
      </with>
    </padded-normal>
  </macro>>

  <assign|render-remark|<\macro|which|body>
    <\with|render-enunciation|<value|unframed-render-enunciation>>
      <\unframed-render-remark|<arg|which>>
        <arg|body>
      </unframed-render-remark>
    </with>
  </macro>>

  <assign|render-proof|<\macro|which|body>
    <\with|render-enunciation|<value|unframed-render-enunciation>>
      <\unframed-render-proof|<arg|which>>
        <arg|body>
      </unframed-render-proof>
    </with>
  </macro>>

  \;

  <\active*>
    <\src-comment>
      ## Ajout d'une 4me colonne dans l'environnement "Multiple equations"
      (Formules alignes) pour permettre de prciser l'argument qui permet
      passer d'une ligne de calcul  la suivante.
    </src-comment>
  </active*>

  <assign|eqnarray*|<\macro|body>
    <\equations-base>
      <tformat|<twith|table-hyphen|y>|<twith|table-width|1par>|<twith|table-min-cols|3>|<twith|table-max-cols|4>|<cwith|1|-1|4|4|cell-halign|r>|<cwith|1|-1|3|4|cell-rsep|0spc><cwith|1|-1|1|1|cell-block|auto>|<cwith|1|-1|1|-1|cell-bsep|0sep><cwith|1|-1|3|3|cell-block|auto>|<cwith|1|-1|1|-1|cell-tsep|0sep><cwith|1|-1|4|4|cell-block|auto>|<cwith|1|-1|1|1|cell-hpart|1>|<cwith|1|-1|3|3|cell-hpart|1>|<cwith|1|-1|1|1|cell-halign|r>|<cwith|1|-1|1|1|cell-hyphen|b>|<cwith|1|-1|2|2|cell-halign|c>|<cwith|1|-1|3|3|cell-halign|l>|<cwith|1|-1|3|3|cell-hyphen|t>|<cwith|1|-1|1|-1|cell-block|no>|<arg|body>>
    </equations-base>
  </macro>>

  \;

  <\active*>
    <\src-comment>
      ## Dfinition de mes macros dans TeXmacs.
    </src-comment>
  </active*>

  <assign|fn|<macro|f|E|F|x|f(x)|<math|<tabular*|<tformat|<cwith|1|-1|5|5|cell-halign|l>|<twith|table-valign|T>|<table|<row|<cell|<arg|f>>|<cell|:>|<cell|<arg|E>>|<cell|\<longrightarrow\>>|<cell|<arg|F>>>|<row|<cell|>|<cell|>|<cell|<arg|x>>|<cell|\<longmapsto\>>|<cell|<with|math-display|true|<arg|f(x)>>>>>>>>>>

  <assign|fns|<macro|E|F|x|f(x)|<math|<tabular*|<tformat|<cwith|1|-1|3|3|cell-halign|l>|<twith|table-valign|T>|<table|<row|<cell|<arg|E>>|<cell|\<longrightarrow\>>|<cell|<arg|F>>>|<row|<cell|<arg|x>>|<cell|\<longmapsto\>>|<cell|<with|math-display|true|<arg|f(x)>>>>>>>>>>

  <assign|acc|<macro|a|b|<below|<wide*|<arg|a>|\<wide-underbrace\>>|<arg|b><above||>>>>

  <assign|der|<macro|a|b|<dfrac|\<mathd\><arg|a>|\<mathd\><arg|b>>>>

  <assign|deo|<macro|a|b|<dfrac|\<partial\><arg|a>|\<partial\><arg|b>>>>

  <assign|eb|<macro| <mid|\|> >>

  <assign|ps1|<macro|a|b|<math|<around*|(|<arg|a> <mid|\|> <arg|b>|)>>>>

  <assign|ps2|<macro|a|b|<math|<around*|\<langle\>|<arg|a>,<arg|b>|\<rangle\>>>>>

  <assign|gs|<macro|<with|math-display|true|<big|sum>>>>

  <assign|rd|<macro|a|<wide|<arg|a>|\<abovering\>>>>

  <assign|ind|<macro|<math|<with|font|Bbb****|1>>>>

  <assign|C|<macro|a|<math|\<cal-C\><rsup|<arg|a>>>>>

  \;

  <assign|rq|<macro|text|<with|color|red|<em|<arg|text>>>>>

  <assign|enc|<macro|a|<block*|<tformat|<cwith|1|1|1|1|cell-tsep|2sep>|<cwith|1|1|1|1|cell-bsep|2sep>|<table|<row|<cell|<arg|a>>>>>>>>

  <assign|bloc|<\macro|a>
    <\wide-block>
      <tformat|<cwith|1|1|1|1|cell-tsep|4sep>|<cwith|1|1|1|1|cell-bsep|4sep>|<table|<row|<\cell>
        <arg|a>
      </cell>>>>
    </wide-block>
  </macro>>

  <assign|py|<\macro|body>
    <\wide-block>
      <tformat|<cwith|1|1|1|1|cell-background|#f0f0f0>|<cwith|1|1|1|1|cell-tborder|0ln>|<cwith|1|1|1|1|cell-bborder|0ln>|<cwith|1|1|1|1|cell-lborder|0ln>|<cwith|1|1|1|1|cell-rborder|0ln>|<cwith|1|1|1|1|cell-bsep|6sep>|<cwith|1|1|1|1|cell-tsep|6sep>|<cwith|1|1|1|1|cell-lsep|3spc>|<cwith|1|1|1|1|cell-rsep|2.5spc>|<table|<row|<\cell>
        <\python-code>
          <\with|par-par-sep|0.3fn>
            <arg|body>
          </with>
        </python-code>
      </cell>>>>
    </wide-block>
  </macro>>
</body>

<\initial>
  <\collection>
    <associate|preamble|true>
  </collection>
</initial>